Subject: Azaleas in Nebraska??!!

From: [email-masked] (Lrm583)
Date: 24 Mar 1995 21:09:26 -0500

I have just moved from Virginia, azalea heaven, to Omaha, Nebraska, Zone
4/5, and have seen nary an azalea yet.

I am going through serious withdrawal, and had great hopes that I would
find some spectacular, rare, evergreen azaleas when my Wayside Gardens
catalog arrived, which I did not.

Now I am despairing of having any azaleas along the foundation of my
house, which will be the first time in my whole life that I will be so
deprived.

Please, please, does anyone know of an azalea that will survive here?  I
am afraid to buy an azalea that is hardy to Zone 5 because I am right on
the edge between 4 and 5, but I can only find native deciduous azaleas for
my area.  Will I be taking a huge risk if I buy Zone 5 azaleas, or could
they actually withstand a cold Zone 4 winter?

Any help will be most appreciated!

Thanks, 

Lise